package com.ruoyi.buyerapi.service;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerOrderRecord;

/**
 * 订单记录Service接口
 * 
 * @author ruoyi
 * @date 2022-09-19
 */
public interface IBuyerOrderRecordService 
{
    /**
     * 查询订单记录
     * 
     * @param id 订单记录主键
     * @return 订单记录
     */
    public BuyerOrderRecord selectBuyerOrderRecordById(String id);

    /**
     * 查询订单记录列表
     * 
     * @param buyerOrderRecord 订单记录
     * @return 订单记录集合
     */
    public List<BuyerOrderRecord> selectBuyerOrderRecordList(BuyerOrderRecord buyerOrderRecord);

    /**
     * 统计订单趋势
     *
     * @param buyerOrderRecord 订单记录
     * @return 订单趋势
     */
    public BigDecimal selectTrendBuyerOrderRecord(BuyerOrderRecord buyerOrderRecord);

    /**
     * 查询订单记录数量
     *
     * @param buyerOrderRecord 订单记录
     * @return 订单记录数量
     */
    public int selectCountBuyerOrderRecord(BuyerOrderRecord buyerOrderRecord);

    /**
     * 查询消费人数量
     *
     * @return 消费人数量
     */
    public int selectDistinctCountBuyerOrderRecord();

    /**
     * 新增订单记录
     * 
     * @param buyerOrderRecord 订单记录
     * @return 结果
     */
    public int insertBuyerOrderRecord(BuyerOrderRecord buyerOrderRecord);

    /**
     * 修改订单记录
     * 
     * @param buyerOrderRecord 订单记录
     * @return 结果
     */
    public int updateBuyerOrderRecord(BuyerOrderRecord buyerOrderRecord);

    /**
     * 批量删除订单记录
     * 
     * @param ids 需要删除的订单记录主键集合
     * @return 结果
     */
    public int deleteBuyerOrderRecordByIds(String[] ids);

    /**
     * 删除订单记录信息
     * 
     * @param id 订单记录主键
     * @return 结果
     */
    public int deleteBuyerOrderRecordById(String id);
}
